package com.zivilon.cindercore.mixins;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;
import net.minecraft.world.chunk.storage.ExtendedBlockStorage;

@Mixin(ExtendedBlockStorage.class)
public interface MixinExtendedBlockStorage {

    @Accessor("blockRefCount")
    int getBlockRefCount();

    @Accessor("tickRefCount")
    int getTickRefCount();

    @Accessor("blockRefCount")
    void setBlockRefCount(int count);

    @Accessor("tickRefCount")
    void setTickRefCount(int count);

}
